import { world, system, Entity, EntityComponentTypes } from "@minecraft/server";

// Un-Waterloggable Cobwebs
world.afterEvents.itemUseOn.subscribe(({ block, player, itemStack }) => {
    if (itemStack.typeId === "minecraft:water_bucket" && block.typeId === "minecraft:web") {
        block.setType("minecraft:air")
	}
	if (itemStack.type.id.endsWith('_door')) {
			block.setWaterlogged(false);
            block.above(1).setWaterlogged(false);
    }
})

world.afterEvents.playerPlaceBlock.subscribe((event) => {
    try {
        if (event.block.type.id.endsWith('_door')) {
            event.block.setWaterlogged(false);
            event.block.above(1).setWaterlogged(false);
        }
    } catch (error) {
        
    }
})